#!/bin/sh

echo;
echo "----------------- Compilation ------------------";
echo;


JAVA_HOME=${JAVA_HOME-NULL};
if [ "$JAVA_HOME" = "NULL" ]
then
    echo;
    echo "The environment variable JAVA_HOME must be set to the current JDK distribution";
    echo "installed on your computer.";
    echo "Use ";
    echo "    export JAVA_HOME=<the directory where is the JDK>";
    exit 1;
fi

PROACTIVE_HOME=${PROACTIVE_HOME-NULL};
if [ "$PROACTIVE_HOME" = "NULL" ]
then
    echo;
    echo "The environment variable PROACTIVE_HOME must be set to the current ProActive distribution";
    echo "installed on your computer.";
    echo "Use ";
    echo "    export PROACTIVE_HOME=<the directory where is ProActive>";
    exit 1;
fi

EVENTCLOUD_BUNDLE=${EVENTCLOUD_BUNDLE-NULL};
if [ "$EVENTCLOUD_BUNDLE" = "NULL" ]
then
    echo;
    echo "The environment variable EVENTCLOUD_BUNDLE must be set to the current EventCloud bundle";
    echo "installed on your computer.";
    echo "Use ";
    echo "    export EVENTCLOUD_BUNDLE=<the directory where is EventCloud>";
    exit 1;
fi

CLASSPATH=classes;
for i in $PROACTIVE_HOME/dist/lib/*.jar ; do
    CLASSPATH=$CLASSPATH:$i;
done
for i in $EVENTCLOUD_BUNDLE/libs/*.jar ; do
    CLASSPATH=$CLASSPATH:$i;
done

export CLASSPATH;

if [ -d classes ]
then
    rm -rf ./classes;
fi

mkdir classes;

$JAVA_HOME/bin/javac -d classes $(find ./src/ -type f -name "*.java");

echo "Compiled!";


echo;
echo "------------------------------------------------";
